Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing
Interface OWLTest

All Known Subinterfaces:
  AutoRepairableOWLTest, OWLDLTest, OWLModelTest, RDFPropertyTest, RDFResourceTest, RDFSClassTest, RepairableOWLTest

All Known Implementing Classes:
  AbstractOWLTest, DeprecationOWLTest, FacetConstraintsTest, FindSPARQLAssertsTest, InverseOfFunctionalMustBeInverseFunctionalTest, InverseOfInverseFunctionalMustBeFunctionalTest, InverseOfSubpropertyMustBeSubpropertyOfInverseOfSuperpropertyTest, InverseOfSymmetricPropertyMustBeSymmetricPropertyTest, InverseOfTopLevelPropertyMustBeTopLevelPropertyTest, InverseOfTransitivePropertyMustBeTransitivePropertyTest, InversePropertyMustHaveMatchingRangeAndDomainTest, MinCardiZeroTest, NoCardiRestrictionOnTransitivePropertiesOWLDLTest, NoClassesOrPropertiesInEnumerationsOWLDLTest, NoImportOfSystemOntologiesOWLDLTest, NoMetaclassOWLDLTest, NoPropertiesWithClassAsRangeOWLDLTest, NoSubclassesOfRDFClassesOWLDLTest, NoSuperOrSubPropertiesOfAnnotationPropertiesTest, PrimitiveSubclassesDisjointTest, PropertyDomainEmptyTest, PropertyDomainRedundancyTest, PropertyRangeRedundancyTest, SingleAssertedSuperclassTest, SPARQLAssertTest, SubclassesRestrictionDuplicatesThatOfSuperTest, SubpropertyDomainMustNarrowTest, SubpropertyRangeMustNarrowTest, SymmetricPropertyMustHaveEqualRangeAndDomainTest, TodoAnnotationOWLTest, TransitivePropertiesCannotBeFunctionalOWLDLTest

    public interface OWLTest

Author:
  Holger Knublauch

Method Summary
`String` | `getDocumentation()` Gets a documentation text that describes the test.
`String` | `getGroup()`
`String` | `getName()`

Method Detail

### getDocumentation

    String getDocumentation()

  Gets a documentation text that describes the test. This could be HTML text.

  Returns:
    the documentation

### getGroup

    String getGroup()

### getName

    String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.